1. Insaniac's Avatar
    Hi All,

    First time poster aswell as Iphone owner.

    I recently picked up my first iphone. I know about jailbreaking as i have done it at least 5 times before for friends and my other half.

    Anyways this time it was the first for the 3GS model. The version that it came with was 3.01 but i knew i had to downgrade it to 3.0 in order for the jailbreak to work. When i tried to restore the 3.0 os i was met with the error that we all know now to be one that apple is blocking 3GS users from downgrading. I thought nothing of it and stupidly thought because i was on 3.01 it would be ok to try jailbreaking anyways. So i went through the process and was then met with an error. Then from there the iphone would not turn on at all. I thought i had bricked it. The apple logo would appear then shut the iphone off. It wouldnt load passed this point.

    So i was with a friend who knows a bit about them and managed to get it to the restore option with the usb cable icon and the itunes on the iphone. He said he couldnt restore anything on to it the only option i had was to upgrade to 3.1 in order to get it back working. I thought at that point i had bricked it so i did i updated it to 3.1 and figured id wait until the 3.1 jailbreak became available.

    Well reading the dev team blog today im left with a feeling that i wont be able to jailbreak it again.

    Below is a quote from the dev team blog on their main page.

    If you update to Apple’s new software using the normal iTunes process, you will lose your ultrasn0w unlock. In fact you may lose it permanently, because for most people the baseband firmware cannot be reverted to a previous version (unlike the main application CPU firmware).

    But don’t worry…our PwnageTool program — when it’s updated for 3.1 — will let you update your main firmware without touching your baseband firmware, so you can still have the best of both worlds. But you must be diligent about saying “no” to your iTunes request this week to update your firmware.

    Update: We’re currently working on PwnageTool for 3.1, and will be sure to let you know when it’s available!
    Because i updated using the itunes process does that mean i wont be able to jailbreak it at all? Sorry for the long post id just like some clarification. Thanks all
    2009-09-14 12:33 AM
  2. BlackWolf's Avatar
    you shouldn't have updated to 3.1, but I see why you did.

    if you only need the jailbreak, you might be lucky. I GUESS (I can only guess, nothing more) that a redsn0w jailbreak will become available that works for your iphone.

    if you need to unlock your phone to put any simcard in it you want, you're probably screwed.
    2009-09-14 12:45 AM
  3. Hellogiraffe's Avatar
    This is almost the exact same story that I had. I just finally upgraded to a 3GS from my old Edge iPhone. When I got home I went straight to jailbreaking it, but something went wrong and I got caught in an endless rebooting loop so I had to restore to 3.1

    I've jailbroken my old iPhone countless times as well as all my freinds' phones a few times each, but this just HAD to be the first time something screwed up.

    From everything I've read, it sounds like a jailbreak could still be released but an unlock is doubtful.
    2009-09-14 03:46 AM
  4. i.Annie's Avatar
    Well to cover the whole 3.0.1 is not jailbreakable, that isn't true. You just needed to point at the 3.0 FW and not the 3.0.1 in redsn0w. As for jailbreak, it's definitely possible when the devteam releases it. But like they said, it makes you lose ultrasn0w because the baseband is upgraded. So like everyone else said, you won't be able to ultrasn0w unlock it. Maybe the turbo sim companies such as Rebel or Gevey will have something for you to unlock it. Unfortunately neither have released anything to unlock anything past 3.0.1 so... your best bet is probably a turbo sim IF they release a new one for the new baseband.
    2009-09-14 07:02 AM
  5. Insaniac's Avatar
    Thanks for the help,

    Looks like i might have to get a Turbosim / Piggyback sim so

    Ill keep my fingers cross.
    2009-09-21 11:39 AM
  6. BlackWolf's Avatar
    Thanks for the help,

    Looks like i might have to get a Turbosim / Piggyback sim so

    Ill keep my fingers cross.
    just so you know: those seems don't work pretty well, sometimes they don't work at all and they often stop working after an update.
    2009-09-21 12:03 PM
  7. Insaniac's Avatar
    Oh really

    So what im screwed for good?

    I bought the phone while in the US. From AT&T

    I live in Ireland, so not only can i not unlock it and i cant even get a carrier if i wanted (say 02) because its locked by AT&T?
    2009-09-21 12:14 PM
  8. BlackWolf's Avatar
    Oh really

    So what im screwed for good?

    I bought the phone while in the US. From AT&T

    I live in Ireland, so not only can i not unlock it and i cant even get a carrier if i wanted (say 02) because its locked by AT&T?
    that's pretty much your situation, yes, sorry. you have only few options:
    1) sell the phone (ebay), but make sure to tell everyone that it is locked to AT&T
    2) use it as an ipod touch with camera and stuff and hope that an unlock will be released for a future firmware
    3) use a turbosim or something (if those exist for the 3GS, I don't know). But noone I know who used one (me included, that was back in the 2G days) made very good experience with those
    2009-09-21 12:34 PM
LINK TO POST COPIED TO CLIPBOARD